/* Copyright (c) 1992  Stanley T. Shebs. */
/* This program may be used, copied, modified, and redistributed freely */
/* for noncommercial purposes, so long as this notice remains intact. */

/* Definitions common to all players. */

typedef struct a_player {
    short id;
    char *name;               /* proper name of the player */
    char *configname;         /* name of a particular config */
    char *displayname;        /* name of the desired display */
    char *aitypename;         /* name of an AI type */
    short strength;             /* player's desired initial strength */
    struct a_side *side;      /* the side being played */
    struct a_player *next;    /* pointer to the next player */
} Player;

/* This is the mapping between players and sides. */

typedef struct {
    struct a_side *side;
    struct a_player *player;
} Assign;

/* This array stores all the player/side assignments. */

extern Assign *assignments;

extern Player *playerlist;
extern Player *lastplayer;

Player *add_player();
Player *add_default_player();
Player *find_player();
char *player_desig();
